numpy>=1.23,<2.0
numba>=0.58,<0.60
librosa==0.10.2.post1
scikit-learn>=1.3,<1.6
joblib>=1.3
streamlit>=1.31
soundfile>=0.12
pydub>=0.25
imageio-ffmpeg>=0.5
ffmpeg-python>=0.2
matplotlib
pandas
fastapi
uvicorn
python-multipart
PyMySQL
